﻿--[[ Undead Theme for ButtonFacade v2.4.0 ]]

local LibButtonFacade = LibStub("LibButtonFacade",true)
if not LibButtonFacade then
	return
end

-- Undead Skin
LibButtonFacade:AddSkin("Undead",{

	-- Skin data start.
	Backdrop = {
		Width = 36,
		Height = 36,
		Texture = [[Interface\Tooltips\UI-Tooltip-Background]],
		Red = 0,
		Green = 0,
		Blue = 0,
		Alpha = 0.6,
	},
	Icon = {
		Width = 28,
		Height = 27,
		TexCoords = {0.07,0.93,0.07,0.93}, -- Keeps the icon from showing its "silvery" edges.
	},
	Border = {
        Hide = true
	},
	Flash = {
		Width = 30,
		Height = 30,
		Texture = [[Interface\AddOns\ButtonFacade_Undead\textures\flash]],
	},
	Cooldown = {
		Width = 36,
		Height = 36,
	},
	AutoCast = {
		Width = 36,
		Height = 36,
	},
	AutoCastable = {
		Width = 58,
		Height = 58,
		Texture = [[Interface\Buttons\UI-AutoCastableOverlay]],
	},
	Normal = {
		Width = 40,
		Height = 40,
		Texture = [[Interface\AddOns\ButtonFacade_Undead\textures\overlay]],
	},
	Pushed = {
		Hide = true,
    },    
    Equip = {
		Width = 46,
		Height = 46,
		Texture = [[Interface\AddOns\ButtonFacade_Undead\textures\equip]],
	},
	Disabled = {
		Hide = true,
	},
	Checked = {
		Width = 36,
		Height = 36,
		Texture = [[Interface\Buttons\CheckButtonHilight]],
		BlendMode = "ADD",
	},
    Gloss = {
		Height = 36,
		Width = 36,
		Texture = [[Interface\Addons\ButtonFacade_Undead\Textures\Gloss]],
	},
	Highlight = {
		Width = 40,
		Height = 40,
		Texture = [[Interface\AddOns\ButtonFacade_Undead\textures\highlight]],
	},
	HotKey = {
		Width = 36,
		Height = 10,
		OffsetX = -2,
		OffsetY = 11,
	},
	Count = {
		Width = 36,
		Height = 10,
		OffsetX = -2,
		OffsetY = -11,
	},
	Name = {
		Width = 36,
		Height = 10,
		OffsetY = -11,
	},
	-- Skin data end.

},true)